<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JS7</title>
</head>
<body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script>

      
  let users = [{
      name: "Ivan",
      surname: "Ivanov",
      gender: "male",
      age: 30
    },
    {
        name: "Anna",
        surname: "Ivanova",
        gender: "female",
        age: 22
}]
  
  let users1 = [{
      name: "Petr",
      surname: "Ivanov",
      gender: "male",
      age: 30
    },
               {
      name: "Vasiliy",
      surname: "Ivanov",
      gender: "male",
      age: 30
    },
               {
      name: "Ivan",
      surname: "Ivanov",
      gender: "male",
      age: 30
    }]
  
  let excludeBy = function(peopleList, excluded, key){
      let trueGuys = [];
      
      peopleList.forEach(function(itemA, i, peopleList){
          let check = true;
          
          excluded.forEach(function(itemB, j, excluded){
              if( itemA[key] == itemB[key]){
              check = false;
            }
          });
          
          if(check){trueGuys.push(itemA)};
          
          
      });
      
      return trueGuys;
  }
  
  let trueGuys = excludeBy( users, users1, 'surname' );
  console.log(trueGuys);
      
  </script>
</body>
</html>